View Issue Details

IDProjectCategoryView StatusLast Update
0000271MantisDroid[All Projects] Generalpublic2013-03-07 08:50
Reportere7andyAssigned Toe7andy 
PriorityhighSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version2.0Fixed in Version2.0 
Summary0000271: Implement landscape mode
DescriptionImplement landscape mode
Fix loading dialogs.

Prevent orientation change during loading of data:
http://stackoverflow.com/questions/3611457/android-temporarily-disable-orientation-changes-in-an-activity
TagsNo tags attached.

Activities

e7andy

2012-12-03 10:53

administrator   ~0000083

Integrated in MantisDroidLibrary:48 ( See http://e7andy.no-ip.com:8091/job/MantisDroidLibrary/48/ ).

Revision/Changeset: 551
Author: anders
Log:
ISSUE 0000271 - Implement landscape mode.
Fixed problem with splitActionBarWhenNarrow which hasn't been working.
Changed paths:
M /MantisDroid/AndroidManifest.xml
M /MantisDroidFree/AndroidManifest.xml
M /MantisDroidLibrary/AndroidManifest.xml
M /MantisDroidLibrary/res/layout-land/main.xml

e7andy

2012-12-03 10:55

administrator   ~0000084

Integrated in MantisDroid:69 ( See http://e7andy.no-ip.com:8091/job/MantisDroid/69/ ).

Revision/Changeset: 551
Author: anders
Log:
ISSUE 0000271 - Implement landscape mode.
Fixed problem with splitActionBarWhenNarrow which hasn't been working.
Changed paths:
M /MantisDroid/AndroidManifest.xml
M /MantisDroidFree/AndroidManifest.xml
M /MantisDroidLibrary/AndroidManifest.xml
M /MantisDroidLibrary/res/layout-land/main.xml

e7andy

2012-12-03 10:55

administrator   ~0000085

Integrated in MantisDroidFree:45 ( See http://e7andy.no-ip.com:8091/job/MantisDroidFree/45/ ).

Revision/Changeset: 551
Author: anders
Log:
ISSUE 0000271 - Implement landscape mode.
Fixed problem with splitActionBarWhenNarrow which hasn't been working.
Changed paths:
M /MantisDroid/AndroidManifest.xml
M /MantisDroidFree/AndroidManifest.xml
M /MantisDroidLibrary/AndroidManifest.xml
M /MantisDroidLibrary/res/layout-land/main.xml

e7andy

2012-12-17 15:29

administrator   ~0000088

http://stackoverflow.com/questions/9059116/activity-has-leaked-window-dialog-this-again

e7andy

2013-01-25 16:48

administrator   ~0000094

Integrated in MantisDroidLibrary:54 ( See http://e7andy.no-ip.com:8091/job/MantisDroidLibrary/54/ ).

Revision/Changeset: 557
Author: anders
Log:
ISSUE #427 - Removed activity circles and put back the old solution with dialogs. Moved activity circles to backlog. Too much needs to be changed for it to work.
ISSUE 0000271 - Continuing with the implemenation of landscape mode. FragmentDialogs will probably solve most of the previous problems.
Other changes:
Refactored code with 2 new packages: project and issue.
Changed paths:
M /MantisDroidLibrary/AndroidManifest.xml
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/ActivityUtils.java
D /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/IssueActivity.java
D /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/IssueDetailsActivity.java
D /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/IssueEditActivity.java
D /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/IssueListActivity.java
D /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/IssuesCollectionPagerAdapter.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/LoginActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/MantisDroid.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/MantisDroidActivity.java
D /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/ProjectActivity.java
D /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/ProjectDetailsActivity.java
D /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/ProjectEditActivity.java
D /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/ProjectListActivity.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/issue
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/issue/IssueActivity.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/issue/IssueDetailsActivity.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/issue/IssueEditActivity.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/issue/IssueListActivity.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/issue/IssuesCollectionPagerAdapter.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/project
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/project/AddVersionDialogFragment.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/project/AddVersionTask.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/project/DeleteVersionDialogFragment.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/project/DeleteVersionTask.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/project/EditVersionDialogFragment.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/project/ProjectActivity.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/project/ProjectDetailsActivity.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/project/ProjectEditActivity.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/project/ProjectListActivity.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/project/UpdateVersionTask.java

e7andy

2013-01-27 22:48

administrator   ~0000096

Integrated in MantisDroidLibrary:55 ( See http://e7andy.no-ip.com:8091/job/MantisDroidLibrary/55/ ).

Revision/Changeset: 562
Author: anders
Log:
ISSUE 0000271 - Landscape mode for delete project.
Changes of the manifest files due to previous refactoring.
Changed paths:
M /MantisDroid/AndroidManifest.xml
M /MantisDroidFree/AndroidManifest.xml
M /MantisDroidLibrary/AndroidManifest.xml
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/DeleteProjectDialogFragment.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/DeleteProjectTask.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectActivity.java

e7andy

2013-01-27 22:48

administrator   ~0000097

Integrated in MantisDroidLibrary:55 ( See http://e7andy.no-ip.com:8091/job/MantisDroidLibrary/55/ ).

Revision/Changeset: 560
Author: anders
Log:
ISSUE 0000271 - Continuing with landscape mode. Check in of login and main activity.
Refactoring of packages. New gui package added with sub packages.
Changed paths:
M /MantisDroidLibrary/src/com/google/android/vending/licensing/AESObfuscator.java
M /MantisDroidLibrary/src/com/google/android/vending/licensing/APKExpansionPolicy.java
M /MantisDroidLibrary/src/com/google/android/vending/licensing/LicenseChecker.java
M /MantisDroidLibrary/src/com/google/android/vending/licensing/LicenseValidator.java
M /MantisDroidLibrary/src/com/google/android/vending/licensing/ServerManagedPolicy.java
D /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/ActivityUtils.java
D /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/LoginActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/MantisDroid.java
D /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/MantisDroidActivity.java
D /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/UrlLoginActivity.java
D /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/UserPreferences.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/common
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/common/AboutDialogFragment.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/common/ActivityUtils.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/common/FullVersionDialogFragment.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/common/UserPreferences.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/DeleteAttachmentDialogFragment.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/DeleteAttachmentTask.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/DownloadAttachmentTask.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/HandleAttachmentDialogFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/IssueActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/IssueDetailsActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/IssueEditActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/IssueListActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/IssuesCollectionPagerAdapter.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/OpenAttachmentDialogFragment.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/UploadAttachmentTask.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/login
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/login/LoginActivity.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/login/UrlLoginActivity.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/main
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/main/MantisDroidActivity.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/main/SearchDialogFragment.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/main/SearchTask.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/AddVersionDialogFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/AddVersionTask.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/DeleteVersionDialogFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/DeleteVersionTask.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/EditVersionDialogFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectDetailsActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectEditActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectListActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/UpdateVersionTask.java
D /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/issue
D /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/project
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/service/MantisBT.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/webservice/MantisBTService.java

e7andy

2013-01-27 22:51

administrator   ~0000098

Integrated in MantisDroidFree:54 ( See http://e7andy.no-ip.com:8091/job/MantisDroidFree/54/ ).

Revision/Changeset: 562
Author: anders
Log:
ISSUE 0000271 - Landscape mode for delete project.
Changes of the manifest files due to previous refactoring.
Changed paths:
M /MantisDroid/AndroidManifest.xml
M /MantisDroidFree/AndroidManifest.xml
M /MantisDroidLibrary/AndroidManifest.xml
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/DeleteProjectDialogFragment.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/DeleteProjectTask.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectActivity.java

e7andy

2013-01-27 22:51

administrator   ~0000099

Integrated in MantisDroid:76 ( See http://e7andy.no-ip.com:8091/job/MantisDroid/76/ ).

Revision/Changeset: 562
Author: anders
Log:
ISSUE 0000271 - Landscape mode for delete project.
Changes of the manifest files due to previous refactoring.
Changed paths:
M /MantisDroid/AndroidManifest.xml
M /MantisDroidFree/AndroidManifest.xml
M /MantisDroidLibrary/AndroidManifest.xml
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/DeleteProjectDialogFragment.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/DeleteProjectTask.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectActivity.java

e7andy

2013-01-28 10:49

administrator   ~0000103

Integrated in MantisDroidLibrary:56 ( See http://e7andy.no-ip.com:8091/job/MantisDroidLibrary/56/ ).

Revision/Changeset: 563
Author: anders
Log:
ISSUE 0000271 - Landscape mode for CRUD issue notes.
More refactoring. New sub packages added to hold all new classes for dialogfragments and asynctasks.
Changed paths:
M /MantisDroidLibrary/res/values/strings.xml
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/MantisDroid.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/entity/Value.java
D /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/DeleteAttachmentDialogFragment.java
D /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/DeleteAttachmentTask.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/DeleteIssueDialogFragment.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/DeleteIssueTask.java
D /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/DownloadAttachmentTask.java
D /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/HandleAttachmentDialogFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/IssueActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/IssueDetailsActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/IssueEditActivity.java
D /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/OpenAttachmentDialogFragment.java
D /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/UploadAttachmentTask.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/attachment
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/attachment/DeleteAttachmentDialogFragment.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/attachment/DeleteAttachmentTask.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/attachment/DownloadAttachmentTask.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/attachment/HandleAttachmentDialogFragment.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/attachment/OpenAttachmentDialogFragment.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/attachment/UploadAttachmentTask.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/note
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/note/AddNoteDialogFragment.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/note/AddNoteTask.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/note/DeleteNoteDialogFragment.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/note/DeleteNoteTask.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/note/EditNoteDialogFragment.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/note/UpdateNoteTask.java
D /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/AddVersionDialogFragment.java
D /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/AddVersionTask.java
D /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/DeleteVersionDialogFragment.java
D /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/DeleteVersionTask.java
D /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/EditVersionDialogFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectDetailsActivity.java
D /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/UpdateVersionTask.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/version
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/version/AddVersionDialogFragment.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/version/AddVersionTask.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/version/DeleteVersionDialogFragment.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/version/DeleteVersionTask.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/version/EditVersionDialogFragment.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/version/UpdateVersionTask.java

e7andy

2013-01-29 16:48

administrator   ~0000105

Integrated in MantisDroidLibrary:59 ( See http://e7andy.no-ip.com:8091/job/MantisDroidLibrary/59/ ).

Revision/Changeset: 566
Author: anders
Log:
ISSUE 0000271 - Landscape mode for "Change status to" function for issues.
Changed paths:
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/entity/ProjectVersionData.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/IssueDetailsActivity.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/UpdateIssueStatusDialogFragment.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/UpdateIssueStatusInfoDialogFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/DeleteProjectTask.java

e7andy

2013-01-29 22:48

administrator   ~0000107

Integrated in MantisDroidLibrary:61 ( See http://e7andy.no-ip.com:8091/job/MantisDroidLibrary/61/ ).

Revision/Changeset: 568
Author: anders
Log:
ISSUE 0000271 - Project edit fragment
Changed app version to 2.0 due to the amount of changes of the code: Fragments, landscape mode.
Changed paths:
M /MantisDroid/AndroidManifest.xml
M /MantisDroidFree/AndroidManifest.xml
M /MantisDroidLibrary/AndroidManifest.xml
M /MantisDroidLibrary/res/layout/project_edit.xml
A /MantisDroidLibrary/res/layout/project_edit_fragment.xml
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectDetailsActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectEditActivity.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectEditFragment.java

e7andy

2013-01-31 12:43

administrator   ~0000108

Integrated in MantisDroid:83 ( See http://e7andy.no-ip.com:8091/job/MantisDroid/83/ ).

Revision/Changeset: 568
Author: anders
Log:
ISSUE 0000271 - Project edit fragment
Changed app version to 2.0 due to the amount of changes of the code: Fragments, landscape mode.
Changed paths:
M /MantisDroid/AndroidManifest.xml
M /MantisDroidFree/AndroidManifest.xml
M /MantisDroidLibrary/AndroidManifest.xml
M /MantisDroidLibrary/res/layout/project_edit.xml
A /MantisDroidLibrary/res/layout/project_edit_fragment.xml
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectDetailsActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectEditActivity.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectEditFragment.java

e7andy

2013-01-31 12:43

administrator   ~0000109

Integrated in MantisDroidFree:61 ( See http://e7andy.no-ip.com:8091/job/MantisDroidFree/61/ ).

Revision/Changeset: 568
Author: anders
Log:
ISSUE 0000271 - Project edit fragment
Changed app version to 2.0 due to the amount of changes of the code: Fragments, landscape mode.
Changed paths:
M /MantisDroid/AndroidManifest.xml
M /MantisDroidFree/AndroidManifest.xml
M /MantisDroidLibrary/AndroidManifest.xml
M /MantisDroidLibrary/res/layout/project_edit.xml
A /MantisDroidLibrary/res/layout/project_edit_fragment.xml
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectDetailsActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectEditActivity.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectEditFragment.java

e7andy

2013-02-02 23:04

administrator   ~0000110

Integrated in MantisDroidLibrary:64 ( See http://e7andy.no-ip.com:8091/job/MantisDroidLibrary/64/ ).

Revision/Changeset: 571
Author: anders
Log:
ISSUE 0000271 - Fragments for issues and projects.
Lots of refactoring.
Changed paths:
M /MantisDroidLibrary/res/layout/issue_details.xml
A /MantisDroidLibrary/res/layout/issue_details_fragment.xml
M /MantisDroidLibrary/res/layout/issue_edit.xml
A /MantisDroidLibrary/res/layout/issue_edit_fragment.xml
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/entity/Project.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/common/ActivityUtils.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/IssueActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/IssueDetailsActivity.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/IssueDetailsFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/IssueEditActivity.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/IssueEditFragment.java
A /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/IssueFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/IssueListActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/IssuesCollectionPagerAdapter.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/UpdateIssueTask.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/attachment/DeleteAttachmentTask.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/attachment/UploadAttachmentTask.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/note/AddNoteTask.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/note/DeleteNoteTask.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/note/UpdateNoteTask.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/DeleteProjectTask.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectDetailsFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectEditActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectEditFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectListActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectListFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/service/MantisBT.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/webservice/MantisBTService.java

e7andy

2013-02-05 23:03

administrator   ~0000111

Integrated in MantisDroidLibrary:65 ( See http://e7andy.no-ip.com:8091/job/MantisDroidLibrary/65/ ).

Revision/Changeset: 572
Author: anders
Log:
ISSUE 0000271 - Fixed project reload flows.
Changed paths:
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/MantisDroid.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/DeleteIssueDialogFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/IssueActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/IssueDetailsActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/IssueEditFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/IssueListActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/UpdateIssueStatusDialogFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/note/AddNoteDialogFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/note/DeleteNoteDialogFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/note/EditNoteDialogFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/DeleteProjectDialogFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/DeleteProjectTask.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectDetailsActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectDetailsFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectEditActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectEditFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectListActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectListFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/version/AddVersionDialogFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/version/AddVersionTask.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/version/DeleteVersionDialogFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/version/DeleteVersionTask.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/version/EditVersionDialogFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/version/UpdateVersionTask.java

e7andy

2013-02-06 05:03

administrator   ~0000113

Integrated in MantisDroidLibrary:66 ( See http://e7andy.no-ip.com:8091/job/MantisDroidLibrary/66/ ).

Revision/Changeset: 573
Author: anders
Log:
ISSUE 0000271 - Fixed issue reload flows.
Changed paths:
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/MantisDroid.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/AssignIssueToDialogFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/IssueDetailsFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/UpdateIssueStatusDialogFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/UpdateIssueStatusInfoDialogFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/UpdateIssueTask.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/attachment/DeleteAttachmentDialogFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/attachment/DeleteAttachmentTask.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/attachment/HandleAttachmentDialogFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/attachment/UploadAttachmentTask.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/note/AddNoteDialogFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/note/AddNoteTask.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/note/DeleteNoteDialogFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/note/DeleteNoteTask.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/note/EditNoteDialogFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/note/UpdateNoteTask.java

e7andy

2013-02-06 23:04

administrator   ~0000114

Integrated in MantisDroidLibrary:67 ( See http://e7andy.no-ip.com:8091/job/MantisDroidLibrary/67/ ).

Revision/Changeset: 575
Author: anders
Log:
ISSUE 0000271 - Project details and edit is not reloaded during orientation change.
Fixed a missing Parcable creator in the Value entity.
Changed paths:
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/entity/Value.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectDetailsFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectEditFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectListFragment.java

e7andy

2013-02-06 23:04

administrator   ~0000115

Integrated in MantisDroidLibrary:67 ( See http://e7andy.no-ip.com:8091/job/MantisDroidLibrary/67/ ).

Revision/Changeset: 574
Author: anders
Log:
ISSUE 0000271 - Do not reload project list on orientation change.
Changed paths:
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectListFragment.java

e7andy

2013-02-16 17:02

administrator   ~0000116

Integrated in MantisDroidLibrary:68 ( See http://e7andy.no-ip.com:8091/job/MantisDroidLibrary/68/ ).

Revision/Changeset: 577
Author: anders
Log:
ISSUE 0000271 - Landscape mode for issue details. Still some problems with issue edit that needs to be fixed.
Changed paths:
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/entity/ProjectVersionData.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/IssueDetailsFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/IssueEditFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectActivity.java

e7andy

2013-02-16 23:02

administrator   ~0000118

Integrated in MantisDroidLibrary:69 ( See http://e7andy.no-ip.com:8091/job/MantisDroidLibrary/69/ ).

Revision/Changeset: 578
Author: anders
Log:
ISSUE 0000271 - Landscape mode implemented for all activities. Final fix was to prevent orientation change during loading of data.
Removed edit note function in edit issue fragment since it didn't work to have it there due to the need to reload the data after a note has been edited.
Removed the strange boolean isDataSetFirstTime that created odd behaviours. It was from the old implementation of orientation change that didn't work.
Changed paths:
M /MantisDroidLibrary/res/layout/issue_edit_fragment.xml
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/common/ActivityUtils.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/issue/IssueEditFragment.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/gui/project/ProjectEditFragment.java

Issue History

Date Modified Username Field Change
2012-06-21 08:54 e7andy New Issue
2012-06-23 11:29 e7andy Summary Test and fix loading dialogs => Implement landscape mode
2012-06-23 11:29 e7andy Description Updated View Revisions
2012-06-23 14:55 e7andy Target Version => backlog
2012-06-23 14:55 e7andy Description Updated View Revisions
2012-06-23 15:05 e7andy Status new => confirmed
2012-07-13 10:26 e7andy Priority urgent => normal
2012-07-13 10:26 e7andy Severity major => minor
2012-07-13 10:26 e7andy Status confirmed => acknowledged
2012-07-13 10:26 e7andy Description Updated View Revisions
2012-07-26 23:27 e7andy Category Request => Task
2012-09-28 07:56 e7andy Status acknowledged => confirmed
2012-11-09 22:41 e7andy Priority normal => high
2012-11-09 22:41 e7andy Severity minor => major
2012-11-14 16:36 e7andy Category Task => General
2012-11-20 09:27 e7andy Target Version backlog => 2.0
2012-11-21 07:54 e7andy Category General => general
2012-11-21 08:09 e7andy Category general => General
2012-11-21 08:19 e7andy Category General => General1
2012-11-21 08:23 e7andy Category General1 => General
2012-12-03 08:21 e7andy Scrum State => New
2012-12-03 08:21 e7andy Target Version 2.0 => 1.3
2012-12-03 08:21 e7andy Description Updated View Revisions
2012-12-03 08:21 e7andy Assigned To => e7andy
2012-12-03 08:21 e7andy Status confirmed => assigned
2012-12-03 10:53 e7andy Note Added: 0000083
2012-12-03 10:55 e7andy Note Added: 0000084
2012-12-03 10:55 e7andy Note Added: 0000085
2012-12-17 15:29 e7andy Note Added: 0000088
2013-01-25 16:48 e7andy Note Added: 0000094
2013-01-27 22:48 e7andy Note Added: 0000096
2013-01-27 22:48 e7andy Note Added: 0000097
2013-01-27 22:51 e7andy Note Added: 0000098
2013-01-27 22:51 e7andy Note Added: 0000099
2013-01-28 10:49 e7andy Note Added: 0000103
2013-01-29 10:11 e7andy Target Version 1.3 => 2.0
2013-01-29 16:48 e7andy Note Added: 0000105
2013-01-29 22:48 e7andy Note Added: 0000107
2013-01-31 12:43 e7andy Note Added: 0000108
2013-01-31 12:43 e7andy Note Added: 0000109
2013-02-02 23:04 e7andy Note Added: 0000110
2013-02-05 23:03 e7andy Note Added: 0000111
2013-02-06 05:03 e7andy Note Added: 0000113
2013-02-06 23:04 e7andy Note Added: 0000114
2013-02-06 23:04 e7andy Note Added: 0000115
2013-02-16 17:02 e7andy Note Added: 0000116
2013-02-16 22:18 e7andy Description Updated View Revisions
2013-02-16 22:20 e7andy Scrum State New => Ready for Test
2013-02-16 22:20 e7andy Status assigned => resolved
2013-02-16 22:20 e7andy Fixed in Version => 2.0
2013-02-16 22:20 e7andy Resolution open => fixed
2013-02-16 23:02 e7andy Note Added: 0000118
2013-03-07 08:50 e7andy Status resolved => closed